Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Markos Chandras (hwoarang)" <hwoarang@g.o>
Subject: gentoo-x86 commit in dev-libs/apr: apr-1.4.5.ebuild ChangeLog
Date: Fri, 11 Nov 2011 19:17:50 +0000 (UTC)
hwoarang    11/11/11 19:17:50

  Modified:             apr-1.4.5.ebuild ChangeLog
  Log:
   Use EAPI=4. Add static-libs USE flag. Patch by Arfrever.
  
  (Portage version: 2.2.0_alpha73/cvs/Linux x86_64)

Revision  Changes    Path
1.8                  dev-libs/apr/apr-1.4.5.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/apr/apr-1.4.5.ebuild?rev=1.8&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/apr/apr-1.4.5.ebuild?rev=1.8&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/apr/apr-1.4.5.ebuild?r1=1.7&r2=1.8

Index: apr-1.4.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/apr/apr-1.4.5.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- apr-1.4.5.ebuild	29 Oct 2011 18:36:35 -0000	1.7
+++ apr-1.4.5.ebuild	11 Nov 2011 19:17:50 -0000	1.8
@@ -1,8 +1,8 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/apr/apr-1.4.5.ebuild,v 1.7 2011/10/29 18:36:35 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/apr/apr-1.4.5.ebuild,v 1.8 2011/11/11 19:17:50 hwoarang Exp $
 
-EAPI="3"
+EAPI="4"
 
 inherit autotools eutils libtool multilib
 
@@ -13,13 +13,15 @@
 LICENSE="Apache-2.0"
 SLOT="1"
 KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
-IUSE="doc elibc_FreeBSD older-kernels-compatibility +urandom +uuid"
+IUSE="doc elibc_FreeBSD older-kernels-compatibility static-libs +urandom +uuid"
 RESTRICT="test"
 
 RDEPEND="uuid? ( !elibc_FreeBSD? ( >=sys-apps/util-linux-2.16 ) )"
 DEPEND="${RDEPEND}
 	doc? ( app-doc/doxygen )"
 
+DOCS=(CHANGES NOTICE README)
+
 src_prepare() {
 	# Ensure that system libtool is used.
 	sed -e 's:${installbuilddir}/libtool:/usr/bin/libtool:' -i apr-config.in || die "sed failed"
@@ -63,25 +65,27 @@
 }
 
 src_compile() {
-	emake || die "emake failed"
+	emake
 
 	if use doc; then
-		emake dox || die "emake dox failed"
+		emake dox
 	fi
 }
 
 src_install() {
-	emake DESTDIR="${D}" install || die "emake install failed"
-
-	find "${ED}" -name "*.la" -print0 | xargs -0 rm -f
+	default
 
-	dodoc CHANGES NOTICE README
+	find "${ED}" -name "*.la" -exec rm -f {} +
 
 	if use doc; then
-		dohtml -r docs/dox/html/* || die "dohtml failed"
+		dohtml -r docs/dox/html/*
+	fi
+
+	if ! use static-libs; then
+		find "${ED}" -name "*.a" -exec rm -f {} +
 	fi
 
 	# This file is only used on AIX systems, which Gentoo is not,
 	# and causes collisions between the SLOTs, so remove it.
-	rm -f "${D}usr/$(get_libdir)/apr.exp"
+	rm -f "${ED}usr/$(get_libdir)/apr.exp"
 }



1.181                dev-libs/apr/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/apr/ChangeLog?rev=1.181&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/apr/ChangeLog?rev=1.181&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/apr/ChangeLog?r1=1.180&r2=1.181

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/apr/ChangeLog,v
retrieving revision 1.180
retrieving revision 1.181
diff -u -r1.180 -r1.181
--- ChangeLog	29 Oct 2011 18:36:35 -0000	1.180
+++ ChangeLog	11 Nov 2011 19:17:50 -0000	1.181
@@ -1,6 +1,9 @@
 # ChangeLog for dev-libs/apr
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/apr/ChangeLog,v 1.180 2011/10/29 18:36:35 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/apr/ChangeLog,v 1.181 2011/11/11 19:17:50 hwoarang Exp $
+
+  11 Nov 2011; Markos Chandras <hwoarang@g.o> apr-1.4.5.ebuild:
+   Use EAPI=4. Add static-libs USE flag. Patch by Arfrever.
 
   29 Oct 2011; Raúl Porcel <armin76@g.o> apr-1.4.5.ebuild:
   alpha/ia64/s390/sh/sparc stable wrt #385859





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-libs/apr: apr-1.4.5.ebuild ChangeLog
Next by thread:
gentoo-x86 commit in dev-db/mysql-udf-base64: - New directory
Previous by date:
gentoo commit in xml/htdocs/proj/en/overlays: layman-global.txt
Next by date:
gentoo-x86 commit in dev-libs/apr-util: apr-util-1.3.12.ebuild ChangeLog


Updated Jun 25, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.